Commit 7ce57ca8 authored by gremlin43820's avatar gremlin43820

custom runtime detetction: fixed an echo vs cat error, updated to use modern...

custom runtime detetction: fixed an echo vs cat error, updated to use modern versions of findlib. Updated calls to head -1 to be head -n 1 because the former is apparently deprecated.


git-svn-id: https://godirepo.camlcity.org/svn/wdialog/trunk@193 f54c9a64-0731-4a92-b797-30fd5898f27c
parent 8f650bcb
#! /bin/sh
# $Id: configure,v 3.12 2004-01-04 16:27:24 stolpmann Exp $
# $Id: configure,v 3.13 2004-12-07 19:40:56 gremlin43820 Exp $
#--- Options ---
# value -1: off by command line ("forced")
......@@ -271,7 +271,7 @@ fi
printf "%s" "Checking the version of ocaml... "
ov=`ocamlc -v | head -1`
ov=`ocamlc -v | head -n 1`
case "$ov" in
*\ version\ 1*|*\ version\ 2*|*\ version\ 3\.0[0-3]*)
......@@ -473,7 +473,7 @@ else
fi
printf "%s" "Checking whether the findlib loader works... "
echo <<'EOF' >.testscript
cat <<'EOF' >.testscript
#use "./ocaml-findlib";;
EOF
......@@ -490,8 +490,8 @@ fi
# Check whether we need a toploop, and create it if so
printf "%s" "Checking whether we need a custom toploop for scripts... "
echo <<'EOF' >.testscript
#use "findlib";;
cat <<'EOF' >.testscript
#use "topfind";;
#require "pxp";;
EOF
......@@ -550,7 +550,7 @@ if [ $with_perl -gt 0 ]; then
# Check whether the necessary libraries can be dynamically loaded:
printf "%s" "Checking whether libraries can be loaded... "
cat <<'EOF' >.testscript
#use "findlib";;
#use "topfind";;
#require "unix";;
#require "pcre";;
#require "camlidl";;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment